No one logged in. Log in



Print RSS

My Blog

Apache Flex 4.10 Released

Ares Hovhannesyan - Sunday, August 18, 2013
Apache Flex 4.10 Released!

The Apache Flex project, the all-volunteer group of developers, and stakeholders in the development framework, today announced the release of Apache Flex 4.10.0. This release makes some important improvements over previous versions of Apache Flex and Adobe Flex. 

"We are seeing interest in the Flex development framework increase rapidly. There have been more than a half a million page views in the past 6 months, more than 9000 downloads of the Flex SDK in the past 3 months, and around 130,000 unique visitors to the flex.apache.org website. Since the initial release of Apache Flex at the end of 2012, the interest in the project has grown steadily,” said OmPrakash Muppirala, committer and member of the Apache Flex PMC.

What’s new in Apache Flex v4.10.0?

The Apache Flex 4.10.0 SDK allows application developers to build expressive web and mobile applications using MXML for layout and ActionScript 3, an ECMAScript based language for client-side scripting.

The Apache Flex 4.10.0 release contains many improvements that professional software development teams will appreciate. This advances the framework forward. It is truly becoming one of the best cross-platform programming languages used to write applications that are testable and can be compiled to run on multiple technology platforms from a single set of code.

Apache Flex 4.10.0 highlights include:

Support for latest versions of Flash Player and AIR runtimes. At the same time, we have made it easier for developers wanting to take advantage of the latest advances in the Flash runtimes by letting them choose the versions during installation. The Apache Flex SDK Installer now allows developers to select various combinations of the Flex SDK, Flash Player and AIR runtimes. All the settings and configurations are taken care of during the installation, so the developer can just start coding!

Improved support for older Flash Player versions. Enterprise environments have more stringent requirement in terms of upgrading Flash Player versions. Now, because of our improved backwards compatibility, those customers can safely upgrade to the latest version of the Flex SDK without having to force a Flash Player upgrade on their end users.

Added over 15 new Spark components matching or replacing their mx counterparts. The new components ensure that SDK users can benefit from the advances made in the Spark architecture throughout more of the development process.

 “Out of the box” support for Advanced Telemetry allowing developers to easily profile their application and improve performance using Adobe Scout.

Better localization for multiple languages. Flex 4.10.0 is better now when trying to make application for multiple countries and languages.

Better international support for dates in formatters, validators, and the DateField and DateChooser components.

Better for developer productivity - less Run Time Errors (RTEs) and workarounds required in 4.10.0

480 dpi mobile resolution/skin support means that Flex SDK users can now target high resolution devices such as iOS Retina, etc.

Apache Flex is available in source form from the following download page:
http://flex.apache.org/download-source.html

If you are a developer that wishes to use the Apache Flex SDK in your projects, it is recommended you install Apache Flex by using the Apache Flex IDE installer:
http://flex.apache.org/installer.html

When downloading from a mirror site, please remember to verify the downloads using signatures or MD5 hashes.

For more information on Apache Flex, visit the project home page:
http://flex.apache.org